from setuptools import setup, find_packages

VERSION = '4.0' 
DESCRIPTION = 'Get list of Capture Devices easily with Directshow and Python'
LONG_DESCRIPTION = 'Simplest way to connect DirectShow Windows API with FFmpeg and list all capture devices with alternative names.\
    The user can save the results to a file or print either "video", "audio", or both "audio, video" devices. '


# Setting up
setup(
       # the name must match the folder name 'verysimplemodule'
        name="capture_devices", 
        version=VERSION,
        author="Egemen Gulpinar",
        author_email="<egemengulpinar@gmail.com>",
        description=DESCRIPTION,
        long_description=LONG_DESCRIPTION,
        packages=find_packages(),
        license = 'MIT',
        install_requires=[], # add any additional packages that 
        # needs to be installed along with your package. Eg: 'caer'
        project_urls = {
        'Home Page': 'https://github.com/egemengulpinar/capture-device-list',
        'Documentation' : 'https://github.com/egemengulpinar/capture-device-list/blob/main/README.md'
        },
        home_page = 'https://github.com/egemengulpinar/capture-device-list',
        keywords=['DirectShow', 'Windows','Capture Device','Device List','FFmpeg'],
        classifiers= [
            "Development Status :: 3 - Alpha",
            "Intended Audience :: Developers",
            "Programming Language :: Python :: 3.10",
            "Programming Language :: Python :: 3.9",
            "Programming Language :: Python :: 3.8",
            "Programming Language :: Python :: 3.7",
            "Programming Language :: Python :: 3.6",
            "Operating System :: Microsoft :: Windows",
            "Topic :: Multimedia :: Sound/Audio",
            "Topic :: Utilities",
        ]

        )